Interested in contributing? As an open source project, we'd appreciate any help
and contributions! MathworldVR is built with awesome A-Frame framework, you can also
contribute to it [on this link](https://github.com/aframevr/aframe).

# Join the A-Frame Community on Slack

1. [Invite yourself][slack] to the A-Frame Slack channel.
2. [Join the discussion](https://aframevr.slack.com)!

# Get Help or Ask a Question

If you're not sure how to do something with A-Frame, please post a question
(and any code you've tried so far) to [Stack Overflow under the 'aframe'
tag][stackoverflow].

# File an Issue

1. Search the [issue tracker](https://github.com/michaltakac/mathworldvr/issues) for similar issues.
2. Specify information about your browser and system (e.g., "Firefox Nightly on Windows 8.1")
3. Describe the problem in detail (i.e., what happened and what you expected would happen).

# Contribute Code to MathworldVR

1. Have a [GitHub account](https://github.com/join).
2. [Fork](https://github.com/michaltakac/mathworldvr/fork) the repository on GitHub.
3. Run `npm install` and `npm start` to run the application.
4. Make changes to your fork of the repository.
5. If necessary, write [unit tests](tests/) and run with `npm test`.
6. Run `npm run lint` to let eslint check you code.
7. Submit a pull request to the master branch.
8. Address [review comments](http://stackoverflow.com/questions/9790448/how-to-update-a-pull-request) if any.

Please note you would agree to license your contributions under the [license](LICENSE).

# Spread the Word

Thanks so much for contributing and helping grow MathworldVR!
